with Interfaces, Turbo, Turbo.Atomic;

use Interfaces, Turbo, Turbo.Atomic;

with Ada.Text_IO;
use Ada.Text_IO;

--  with Test_Jwa_CXA4010;
--  with Test_Jwa_CXA4011;
--  with Test_Jwa_CXA4030;
--  with Test_Jwa_CXA4031;
--  with Test_Jwa_CXA4032;

with Report;
-- with Boolean_X_Test;
with Atomic_X_Test;

with String_Test;
with Memory_Test;

procedure Test_Jwa is

   Leak_Test : constant Boolean := False;

--   procedure Boolean_8_32_Test is separate;

   Iterations : Natural := 1;

   YZ : Unsigned_Addr := 23;

   XU : Atomic_Integer_32 := Create (17);
begin
--   Boolean_X_Test;
   String_Test;
   Atomic_X_Test;
   Memory_Test;

--   YZ := Rotate_Left (YZ, 7);
--   Set (XU, 0);
--   Inc (XU);


--   Skip_Line;
--   Boolean_8_32_Test;
--     if Leak_Test then
--        Iterations := Natural'Last;
--     end if;

--     for i_Dummy in 1 .. Iterations loop
--        Report.Toggle (i_Dummy = Iterations);
--        Test_Jwa_CXA4010;
--        Test_Jwa_CXA4011;
--        Test_Jwa_CXA4030;
--        Test_Jwa_CXA4031;
--        Test_Jwa_CXA4032;
--     end loop;
end Test_Jwa;
